%% script ffcmw_demo1

% activating the profiler
profile('off'); profile('on');

% Data for the fuzzy clustering algorithm

N = 2;   % number of input variables
Q = 3;  % number of centroids to find
D = [Ue Ye];

% start the computation with ffcmw
C = ffcmw(D, Q, [2 1000 1e-30 0]);
figure
plot(D(:,1),D(:,2),'ob','linewidt',1);
set(gca,'nextplot','add');
plot(C(:,1),C(:,2),'Xr','linewidt',3);
h = legend('Data to clusterize','Centroids computed by ffcmw');
set(h,'fontsize',16,'fontweight','bold');
title('Data clustering')
xlabel('Valve opening: % closed')
ylabel('Pressure')
